package sklep.controller;

import java.util.List;

import javax.persistence.EntityManager;
import javax.persistence.TypedQuery;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;

import sklep.model.Product;

@Controller
@RequestMapping("/alt2")
public class AlternatywneProdukty2 {
	@Autowired
	private EntityManager em;
		
	@GetMapping("/products")
	public String products(Model model) {
		TypedQuery<Product> query = em.createNamedQuery("Product.findAll", Product.class);
		List<Product> products = query.getResultList();
		model.addAttribute("products", products);
		return "/WEB-INF/templates/products.jsp";
	}
	
	@GetMapping("/products/{id}")
	public String oneProduct(Model model, @PathVariable int id) {
		Product product = em.find(Product.class, id);
		model.addAttribute("product", product);
		return "/WEB-INF/templates/product.jsp";
	}
	
}
